<?php
/**                               ______________________________________________
*                          o O   |                                              |
*                 (((((  o      <    Generated with Cook Self Service  V2.8.4   |
*                ( o o )         |______________________________________________|
* --------oOOO-----(_)-----OOOo---------------------------------- www.j-cook.pro --- +
* @version		1.0.0
* @package		Map
* @subpackage	addresses
* @copyright	2016
* @author		vlemos - www.map.exm - nosupport@map.exm
* @license		None
*
*             .oooO  Oooo.
*             (   )  (   )
* -------------\ (----) /----------------------------------------------------------- +
*               \_)  (_/
*/

// no direct access
defined('_JEXEC') or die('Restricted access');


MapHelper::headerDeclarations();
//Load the formvalidator scripts requirements.
JDom::_('html.toolbar');
?>

<?php
// Render the page title
echo JLayoutHelper::render('title', array(
	'params' => $this->params
)); ?>
<script src='https://maps.googleapis.com/maps/api/js?v=3.exp'></script>

<form action="<?php echo(JRoute::_("index.php")); ?>" method="post" name="adminForm" id="adminForm" enctype='multipart/form-data'>
	<div>
		<div>
			<!-- BRICK : toolbar_sing -->

			<?php echo $this->renderToolbar();?>
		</div>
		<div>
			<!-- BRICK : fly -->

			<?php echo $this->loadTemplate('fly'); ?>
		</div>
	</div>


	<?php 
		$jinput = JFactory::getApplication()->input;
		echo JDom::_('html.form.footer', array(
		'dataObject' => $this->item,
		'values' => array(
					'id' => $this->state->get('addressitem.id')
				)));
	?>
</form>
<script type='text/javascript'>
	function init_map(){
		var myOptions = {
			zoom:4,
			center:new google.maps.LatLng(33.194546, -98.511109),
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};
		map = new google.maps.Map(
			document.getElementById('jfly_map'), myOptions
		);
		marker = new google.maps.Marker({
			map: map,
			draggable: true,
			position: new google.maps.LatLng(33.194546, -98.511109)
		});
		google.maps.event.addListener(marker, 'dragend', function(event){
			var point = marker.getPosition();
			map.panTo(point);
			document.getElementById("jform_latitude").value = point.lat().toFixed(5);
			document.getElementById("jform_longitude").value  = point.lng().toFixed(5);

			var geocoder = new google.maps.Geocoder();
			geocoder.geocode({"location": point}, function (results, status) {
				if (status == google.maps.GeocoderStatus.OK) {
					document.getElementById("jform_address").value  = results[1].formatted_address;
				}
			});


		});
	}
	google.maps.event.addDomListener(window, 'load', init_map);
</script>